package cn.com.infosec.mobile.android.otp;

import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Arrays;

@Keep
public class InfosecOTP {
   @Keep
   private native boolean writeSeedNative(String var1, String var2, String var3);

   @Keep
   private native String getPubKeyNative(String var1);

   @Keep
   private native boolean clearDataNative(String var1);

   public boolean writeSeed(@NonNull String alias, @NonNull String seed, @NonNull String PIN) {
      if (IMSSdk.enableDebugLog) {
         XLog.d("writeSeedNative" + Arrays.toString(new String[]{alias, seed, PIN}));
      }

      boolean var4 = this.writeSeedNative(alias, seed, PIN);
      if (IMSSdk.enableDebugLog) {
         XLog.d("writeSeedNative " + var4);
      }

      return var4;
   }

   public String getOTP(@NonNull String alias, @NonNull String PIN, @NonNull String algorithm, long time, String challenge, int digit, int step) {
      StringBuilder var10000;
      String[] var10001;
      if (!TextUtils.isEmpty(algorithm) && 0L != time && digit != 0 && step != 0) {
         if (IMSSdk.enableDebugLog) {
            var10000 = (new StringBuilder()).append("getOTP");
            String[] var9;
            var10001 = var9 = new String[7];
            var9[0] = alias;
            var9[1] = PIN;
            var9[2] = algorithm;
            var9[3] = String.valueOf(time);
            var9[4] = challenge;
            var9[5] = String.valueOf(digit);
            var10001[6] = String.valueOf(step);
            XLog.d(var10000.append(Arrays.toString(var10001)).toString());
         }

         String var11 = this.getOTPNative(alias, PIN, algorithm, time, challenge, digit, step);
         if (IMSSdk.enableDebugLog) {
            XLog.d("getOTP " + var11);
         }

         return var11;
      } else {
         var10000 = (new StringBuilder()).append("getOTP: 参数不符合要求");
         String[] var10;
         var10001 = var10 = new String[7];
         var10[0] = alias;
         var10[1] = PIN;
         var10[2] = algorithm;
         var10[3] = String.valueOf(time);
         var10[4] = challenge;
         var10[5] = String.valueOf(digit);
         var10001[6] = String.valueOf(step);
         XLog.d(var10000.append(Arrays.toString(var10001)).toString());
         return null;
      }
   }

   public String getPubKey(@NonNull String alias) {
      if (IMSSdk.enableDebugLog) {
         XLog.d("getPubKey alias = " + alias);
      }

      String var2 = this.getPubKeyNative(alias);
      if (IMSSdk.enableDebugLog) {
         XLog.d("getPubKey " + var2);
      }

      return var2;
   }

   public boolean clearData(@NonNull String alias) {
      return this.clearDataNative(alias);
   }

   @Keep
   public native String getOTPNative(String var1, String var2, String var3, long var4, String var6, int var7, int var8);

   @Keep
   public native boolean changePINNative(String var1, String var2, String var3);

   @Keep
   public native boolean checkSeedNative(String var1);

   @Keep
   public native int verifyPINNative(String var1, String var2);
}
